Skip to main content

Posts

Showing posts from 2011

Using Heroku For Facebook Application Development - Common Errors

You might come across several issues while deploying facebook applications from heroku. This article describes most of the pitfalls you can avoid if you are are not very familiar with the environment. Mostly, I'd refer you to already existing tutorials that are hard to find on googling. These have been compiled together after several confusing research on the topic for long hours. Hope this might save someone's time if you are just starting up. This article is a supplement to the guide from Heroku
You could follow the guide as it is initially and then come back to this article if it doesn't succeed at the first few attempts.

Setting Up Heroku

Error 1
1$ % Total % Received % Xferd Average Speed Time Time Time Current2Dload Upload Total Spent Left Speed 3100 2442 100 2442 0 0 2273 0 0:00:01 0:00:01 --:--:-- 5856 4gpg: no writable keyring found: eof 5gpg: error reading `-': general error 6
gpg: importfrom `-' failed: general error

Solution: Avoiding Pitfalls (Solution)

Error 2

Creating Facebook Application With Heroku

Recently, facebook  started offering official support to host facebook applications in the heroku cloud. I was just having a walkaround and thought of noting down some worthwhile things that could save few hours for a begginer.

By the way, this post is exclusively for those who use ubuntu and are n00b just like me.

1. Initially, just follow the immaturely documented instructions and install the heroku toolbelt.

Ubuntu Linux --http://toolbelt.herokuapp.com/linux/readme


2. Now go to your ubuntu terminal and login with your credentials to upload the ssh keys

>$ heroku login


3. Bang! Errors? - Step 2 might not work for you if you don't have some dependancy packages installed in your ubuntu. First browse to the /usr/bin folder then ask you to if you still have some error like:


heroku /command/run.rb:1:in `require': no such file to load -- readline (LoadError)

Here you are missing ruby . You can install ruby by typing the following lines in the terminal


>$ apt-get install libreadline…